Autor Zpráva
Nai Dzet Quiv
Profil
Ahoj,
asi jsem lama, ale nejdou mi nastavit výše zmíněné programy (dříve mi stačil PHP Triad). Četl jsem si návod Radka Hulána, podle něj jsem také postupoval. (Pozn.: četl jsem si i nějaké diskuze tady, nepomohlo.) Změnil jsem si pouze umístění v adresářích.

(Mám Win98.)
* umístění Apache 2.0.54: C:\martin\programy\apache\apache-2
* umístění PHP 4.4.0: C:\martin\programy\apache\php-4-4-0
* umístění MySQL 4.1.13: C:\martin\programy\apache\mysql-server-4-1
* DocumentRoot: C:\martin\weby
Nastavení proběhlo podle Hulána (modifikoval jsem jen nějaké cesty).

Spustím si Apache (apache-2\bin\Apache.exe), na chvilku se otevře, ale pak hned zmizí, příkazová řádka (dříve se nezavřela). Předpokládám tedy, že se Apache ani nespustil. :-D Když zadám "http://localhost", vypíše se mi "Při pokusu o spojení s localhostem bylo spojení odmítnuto." Prosím, poraďte, četl jsem si tak 8 tun materiálu, ale nic mi nepomohlo.

Díky.

P.S.: Neptejte se mě, proč PHP4. Ještě jsem se neodhodlal nastudovat PHP5. Takže lama, navíc líná! ;-)
Nai Dzet Quiv
Profil
Tady jsou nastavení, která jsem změnil (a v kterých by podle mě mohl být problém - vynechal jsem například práva pro mod_rewrite atd.)
DocumentRoot "C:/martin/weby"

ServerName localhost

- - -
LoadModule php4_module "c:/martin/programy/apache/php-4-4-0/sapi/php4apache2.dll"

AddType application/x-httpd-php .php
AddType application/x-httpd-php .php3
AddType application/x-httpd-php .php4

Mimochodem: PHP chci jako modul, ne jako CGI; měl bych tedy vymazat řádky o CGI?
Nai Dzet Quiv
Profil
OK, už to mám. Instaloval jsem to znova (nevím, čím to bylo).
Nai Dzet Quiv
Profil
Je to způspbeno PHP. Konkrétně:
LoadModule php4_module "c:/martin/programy/apache/php-4-4-0/sapi/php4apache2.dll"

AddType application/x-httpd-php .php
AddType application/x-httpd-php .php3
AddType application/x-httpd-php .php4

Pokud to tam není, vše je OK. Když to tam přidám, Apache se nespustí. Pokud to tam je, Apache se spustí, ale pochopitelně nefunguje PHP...
Nemělo by se to nějak "odkomentářovat"?

Prosím, napište mi, jak máte nastaveno PHP vy. Díky.
Nai Dzet Quiv
Profil
:-( Stále mi PHP neběží... '-(
Dero
Profil
Měl jsem taky problémy s Apache2 + PHP4.

Tož jsem použil PHP5 a vše v pořádku.
Nai Dzet Quiv
Profil
Jenže já potřebuji PHP4...
Dero
Profil
Proč konkétně PHP4? PHP5 přece především rozšiřuje, ne mění PHP4. Jak se v důsledku projeví upgrade na Tvoji práci?
Acci
Profil
Tak si nainstaluj nějaký už hotový balíček. Třeba xammp, který umí jak PHP4, tak PHP5 (jde to přepnout)
Nai Dzet Quiv
Profil
OK, frknu tam PHP5. Momentík. :-D
Nai Dzet Quiv
Profil
Acci: ne, to já právě nechci. Já jsem si stáhl kdysi PHPTriad, který mi docela dlouho vydržel (doteď), něco málo jsem si tam i překonfiguroval.
Nicméně jsem si řekl, že bych to také mohl zkusit sám...
Leo
Profil
Idealni kombinace jsou Apache 1, PHP 4 a MySQL 3 NEBO Apache 2, PHP 5, MySQL 4. Jakekoliv jine kombinace prinasi jen zbytecne problemy, Leo
Nai Dzet Quiv
Profil
Můžete mi, prosím, někdo poslat tuhle
#LoadModule php4_module "c:/martin/programy/apache/php-4-4-0/sapi/php4apache2.dll"

řádku pro PHP 5? Díky.
Nai Dzet Quiv
Profil
Tak jsem se dozvěděl, že chyba bude asi v kombinaci Apache2 + Win98...
Dero
Profil
Můžete mi, prosím, někdo poslat tuhle

#LoadModule php4_module "c:/martin/programy/apache/php-4-4-0/sapi/php4apache2.dll"


LoadModule php5_module c:/dir/PHP5/php5apache2.dll



Tak jsem se dozvěděl, že chyba bude asi v kombinaci Apache2 + Win98...

Na W98 mi Apache2 + PHP5 jelo.
Nai Dzet Quiv
Profil
Mně to PHP (4 i 5) prostě nejde spustit... ',-(
Dero
Profil
Četl jsi tenhle tutor?

http://www.philbrodeur.com/tutorials/server2/

Nejlepší co znám, zatím pomohl u všech problémových instalací.
Nai Dzet Quiv
Profil
Dero:
Díky, přečtu si to. Já nevim, čim to je. Když jsem měl Triad, něco jsem si tam i nastavoval, přidával atd. Teď to ale nejde...
Nai Dzet Quiv
Profil
S politováním musím říci, že stále NIC.
Nai Dzet Quiv
Profil
Pápá, jdu si sehnat Linux (BTW, jakou distribuci mi radíte?) (slibuju si to už rok). Triad je zpátky! :-/ :-D
Toto téma je uzamčeno. Odpověď nelze zaslat.